Package pyxmpp :: Package sasl :: Module core :: Class ServerAuthenticator

[hide private]

# Class ServerAuthenticator

source code

Known Subclasses:
  - plain.PlainServerAuthenticator
  - , digest_md5.DigestMD5ServerAuthenticator

Base class for server authenticators.

A server authenticator class is a server-side implementation of a SASL mechanism. One ServerAuthenticator object may be used for one client authentication process.

Instance Methods | [hide private]

__init__(self, password_manager) Initialize a ServerAuthenticator object. | source code

Challenge or Failure or Success

start(self, initial_response) Start the authentication process. | source code

Challenge or Success or Failure

response(self, response) Process a response from a client. | source code

Method Details | [hide private]

### __init__(self, password_manager)
(Constructor)

source code

Initialize a ServerAuthenticator object.

Parameters:
  - `password_manager` (PasswordManager) - a password manager providing authentication credential verfication.

### start(self, initial_response)

source code

Start the authentication process.

Parameters:
  - `initial_response` (`str`) - the initial response send by the client with the authentication request.
Returns: Challenge or Failure or Success
  a challenge, a success or a failure indicator.

### response(self, response)

source code

Process a response from a client.

Parameters:
  - `response` (`str`) - the response from the client to our challenge.
Returns: Challenge or Success or Failure
  a challenge, a success or a failure indicator.